Bug 54691

Summary: Rename HTTPS BIO/NIO connector attribute "protocols" to sslEnabledProtocols and document it.
Product: Tomcat 6 Reporter: Ognjen Blagojevic <ognjen.d.blagojevic>
Component: ConnectorsAssignee: Tomcat Developers Mailing List <dev>
Status: CLOSED FIXED    
Severity: normal CC: hauser
Priority: P2    
Version: 6.0.36   
Target Milestone: default   
Hardware: All   
OS: All   

Description Ognjen Blagojevic 2013-03-13 17:17:18 UTC
HTTPS BIO/NIO connector in Tomcat 7 have two attributes for protocol selection:

1. sslProtocol, to enable group of protocols, e.g. setting sslProtocol="TLSv1.1" might enable SSLv3, TLSv1 and TLSv1.1, and
2. sslEnabledProtocols, to enable specific protocols, e.g. setting sslEnabledProtocols="TLSv1,TLSv1.1" will enable only those two protocols.


Tomcat 6 have one documented and one undocumented attribute:

1. sslProtocol (documented) - to enable group of protocols
2. protocols, to enable specific protocols, similar as the above.


Please:
1. rename Tomcat 6 "protocols" attribute to "sslEnabledProtocols",
2. document that attribute.
Comment 1 Ralf Hauser 2013-09-09 08:43:47 UTC
see also bug 55537
Comment 2 Christopher Schultz 2013-09-10 14:46:03 UTC
I chose not to re-name the "protocols" property... I merely created (another) alias for it called "sslEnabledProtocols". I added documentation for only "sslEnabledProtocols" to encourage the use of that particular property name, but the existing property names remain valid.

Fixed in r1521514. Will be included in Tomcat 6.0.38.
Comment 3 Ognjen Blagojevic 2013-12-09 12:30:51 UTC
Thank you.